GNU bug report logs - #2706
23.0.91; error "Buffer exceeds maximum size"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Martin <nospam@HIDDEN>; Keywords: unreproducible moreinfo; merged with #837, #841, #843, #844; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 2706 <at> debbugs.gnu.org:


Received: (at 2706) by debbugs.gnu.org; 25 Dec 2015 23:00:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 18:00:06 2015
Received: from localhost ([127.0.0.1]:35833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aCbL8-0004Yk-NG
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2015 18:00:06 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:59339)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aCbL3-0004Xk-Dj
 for 2706 <at> debbugs.gnu.org; Fri, 25 Dec 2015 18:00:01 -0500
Received: from 2.150.58.24.tmi.telenormobil.no ([2.150.58.24] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aCbKf-00063j-8U; Fri, 25 Dec 2015 23:59:33 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jason Rumney <jasonr@HIDDEN>
Subject: Re: bug#2706: 23.0.91; error "Buffer exceeds maximum size"
References: <wna7i2ntjih.fsf@HIDDEN> <7b8wn0owgb.fsf@HIDDEN>
 <49C44551.10006@HIDDEN> <m3hb4jdlj3.fsf@HIDDEN>
Date: Fri, 25 Dec 2015 23:59:32 +0100
In-Reply-To: <m3hb4jdlj3.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
 message of "Sun, 11 Sep 2011 19:41:20 +0200")
Message-ID: <87twn6t9rf.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aCbKf-00063j-8U
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1451689173.496@RR0hFrMe9aBS2mM/Fr3QKg
X-Spam-Status: No
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 2706
Cc: 2706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Jason Rumney <jasonr@HIDDEN> writes:
>
>> I have a copy of the files. The sizes are in bytes, there are 21
>> diffs. At first I couldn't reproduce the problem (I was using
>> ediff-buffers), but then I tried just ediff and saw the problem the
>> first time I tried it. But when I tried again running under the lisp
>> debugger,
>
> Is this issue still present in Emacs 23/24?

More information was requested, but no response was given within a few
years, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#2706; Package emacs. Full text available.
bug closed, send any further explanations to 2706 <at> debbugs.gnu.org and Martin <nospam@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 2706 <at> debbugs.gnu.org:


Received: (at 2706) by debbugs.gnu.org; 11 Sep 2011 17:58:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 13:58:35 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R2oIc-0004yI-Vq
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2011 13:58:35 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1R2oIa-0004y5-Gs
	for 2706 <at> debbugs.gnu.org; Sun, 11 Sep 2011 13:58:33 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1R2oEL-0004GN-1t; Sun, 11 Sep 2011 19:54:09 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Jason Rumney <jasonr@HIDDEN>
Subject: Re: bug#2706: 23.0.91; error "Buffer exceeds maximum size"
In-Reply-To: <49C44551.10006@HIDDEN> (Jason Rumney's message of "Sat, 21 Mar
	2009 09:39:29 +0800")
Date: Sun, 11 Sep 2011 19:41:20 +0200
Message-ID: <m3hb4jdlj3.fsf@HIDDEN>
References: <wna7i2ntjih.fsf@HIDDEN> <7b8wn0owgb.fsf@HIDDEN>
	<49C44551.10006@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Nadja's _Desire In Uneasiness_: "Sign-Expressions"
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1R2oEL-0004GN-1t
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1316368449.1389@6m59A8IHT4Z47MG3FDYniA
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 2706
Cc: 2706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Jason Rumney <jasonr@HIDDEN> writes:

> I have a copy of the files. The sizes are in bytes, there are 21
> diffs. At first I couldn't reproduce the problem (I was using
> ediff-buffers), but then I tried just ediff and saw the problem the
> first time I tried it. But when I tried again running under the lisp
> debugger,

Is this issue still present in Emacs 23/24?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#2706; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #2705 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 2706@HIDDEN:


Received: (at 2706) by emacsbugs.donarmstrong.com; 13 Aug 2009 16:34:10 +0000
From cyd@HIDDEN Thu Aug 13 09:34:10 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.0 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from pantheon-po42.its.yale.edu (pantheon-po42.its.yale.edu [130.132.50.101])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n7DGY8bL025771
	for <2706@HIDDEN>; Thu, 13 Aug 2009 09:34:10 -0700
Received: from furry (dhcp128036014244.central.yale.edu [128.36.14.244])
	(authenticated bits=0)
	by pantheon-po42.its.yale.edu (8.12.11.20060308/8.12.11) with ESMTP id n7DGY3lm021843
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Thu, 13 Aug 2009 12:34:03 -0400
Received: by furry (Postfix, from userid 1000)
	id 906E9C070; Thu, 13 Aug 2009 12:34:03 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Jason Rumney <jasonr@HIDDEN>
Cc: Glenn Morris <rgm@HIDDEN>, 2706 <at> debbugs.gnu.org
Subject: Re: bug#2706: 23.0.91; error "Buffer exceeds maximum size"
Date: Thu, 13 Aug 2009 12:34:03 -0400
Message-ID: <87iqgrekqs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-YaleITSMailFilter: Version 1.2c (attachment(s) not renamed)

Jason Rumney <jasonr@HIDDEN> wrote:

> I have a copy of the files. The sizes are in bytes, there are 21 diffs.
> At first I couldn't reproduce the problem (I was using ediff-buffers),
> but then I tried just ediff and saw the problem the first time I tried
> it. But when I tried again running under the lisp debugger, I could not
> reprod it suce the problem, and I have not managed to reproduce it
> since. There must have been some preconditions that the session in which
> I reproduced the problem met, but subsequent sessions do not.
>
> One unusual thing about the files is that the first lines specify
> compilation-mode and default directory. At first I could not run diff
> because the specified directory does not exist on my system, but after
> changing the default directory to a directory that exists (I tried the
> directory that the files are in and other directories) ediff works
> except in that one case.

Did you manage to debug further?  Could you send me a copy of the files?



Acknowledgement sent to Chong Yidong <cyd@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2706; Package emacs. Full text available.
Merged 837 841 843 844 2705 2706. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.

Message received at 2706@HIDDEN:


Received: (at 2706) by emacsbugs.donarmstrong.com; 21 Mar 2009 02:24:45 +0000
From rgm@HIDDEN Fri Mar 20 19:24:45 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-6.0 required=4.0 tests=HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2L2Og5X024262
	for <2706@HIDDEN>; Fri, 20 Mar 2009 19:24:44 -0700
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1Lkqt8-00069i-2M; Fri, 20 Mar 2009 22:24:42 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Jason Rumney <jasonr@HIDDEN>
Cc: 2706 <at> debbugs.gnu.org, Martin <nospam@HIDDEN>
Subject: Re: bug#2706: 23.0.91; error "Buffer exceeds maximum size"
References: <wna7i2ntjih.fsf@HIDDEN> <7b8wn0owgb.fsf@HIDDEN>
	<49C44551.10006@HIDDEN>
X-Spook: president Montenegro import afsatcom clones doctrine
X-Ran: m7]f|N>5OH5diY+>:0r:ri-*Z|3nOY\RLnX1q]x[:E<I]Ez2Yg*^ry%B0j{78sS[&@=+;{
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 20 Mar 2009 22:24:41 -0400
In-Reply-To: <49C44551.10006@HIDDEN> (Jason Rumney's message of "Sat, 21 Mar
	2009 09:39:29 +0800")
Message-ID: <7e8wmzehp2.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Jason Rumney wrote:

> I have a copy of the files. The sizes are in bytes, there are 21 diffs. 
> At first I couldn't reproduce the problem (I was using ediff-buffers), 
> but then I tried just ediff and saw the problem the first time I tried 
> it. But when I tried again running under the lisp debugger, I could not 
> reprod it suce the problem, and I have not managed to reproduce it 
> since. There must have been some preconditions that the session in which 
> I reproduced the problem met, but subsequent sessions do not.

This was reported before (bug 837 and friends), and also could not be
reproduced that time.




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2706; Package emacs. Full text available.

Message received at 2706@HIDDEN:


Received: (at 2706) by emacsbugs.donarmstrong.com; 21 Mar 2009 01:40:01 +0000
From jasonrumney@HIDDEN Fri Mar 20 18:40:01 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from ti-out-0910.google.com (ti-out-0910.google.com [209.85.142.186])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2L1dvP3012254
	for <2706@HIDDEN>; Fri, 20 Mar 2009 18:39:59 -0700
Received: by ti-out-0910.google.com with SMTP id u3so1078238tia.1
        for <2706@HIDDEN>; Fri, 20 Mar 2009 18:39:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:sender:message-id:date:from
         :user-agent:mime-version:to:cc:subject:references:in-reply-to
         :content-type:content-transfer-encoding;
        bh=qHv73zJTnU9prHIxLUlhDFo7off9UIIH4x0CsgHdJR0=;
        b=LleuPZbG1IpTUcPSzo9ioXW1wR/7lotl4mMJD9eSFhnAwHSsoJxg6DQB4/WtNIyXlY
         qgNvVgyzh3QPsBatMJ60FhdnbJvAuv94Rqjw7UBwYDdLtcp1YDJ4IgZDKp303bEYhP0J
         LLnRw8jrRgwsr9ZbfEX7s9MXDn6WIq0/6oMg8=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
         :references:in-reply-to:content-type:content-transfer-encoding;
        b=XtMO5gq1Iv+ZlHwUzyY9+O+OzQTl/5tcrjSDChAltU1hPJDtnOZ4MgLzN1IRLJm9BV
         29CQQTIMx7b+TtAP7PGYFBFslkMJeS+gKri6mfdUabeSADDrguFTHnvU8lh3RH8u9/yH
         mzzYb6+9ZOA5t9sV4GKzxsV981zCU2XB82fcE=
Received: by 10.110.105.10 with SMTP id d10mr6789382tic.30.1237599596577;
        Fri, 20 Mar 2009 18:39:56 -0700 (PDT)
Received: from ?192.168.249.26? ([124.13.2.92])
        by mx.google.com with ESMTPS id w12sm2617475tib.20.2009.03.20.18.39.54
        (version=TLSv1/SSLv3 cipher=RC4-MD5);
        Fri, 20 Mar 2009 18:39:55 -0700 (PDT)
Sender: Jason Rumney <jasonrumney@HIDDEN>
Message-ID: <49C44551.10006@HIDDEN>
Date: Sat, 21 Mar 2009 09:39:29 +0800
From: Jason Rumney <jasonr@HIDDEN>
User-Agent: Thunderbird 2.0.0.19 (Windows/20081209)
MIME-Version: 1.0
To: Glenn Morris <rgm@HIDDEN>, 2706 <at> debbugs.gnu.org
CC: Martin <nospam@HIDDEN>
Subject: Re: bug#2706: 23.0.91; error "Buffer exceeds maximum size"
References: <wna7i2ntjih.fsf@HIDDEN> <7b8wn0owgb.fsf@HIDDEN>
In-Reply-To: <7b8wn0owgb.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Glenn Morris wrote:
>>   195500 03-17 09:01 templates-lese-fehler.txt
>>     3972 03-16 13:57 templates-keine-funktionale-aenderung.txt
>>     
>
> What units are these file sizes in? Is it possible that the size of
> the resulting diff is simply too large for Emacs?
>   

I have a copy of the files. The sizes are in bytes, there are 21 diffs. 
At first I couldn't reproduce the problem (I was using ediff-buffers), 
but then I tried just ediff and saw the problem the first time I tried 
it. But when I tried again running under the lisp debugger, I could not 
reprod it suce the problem, and I have not managed to reproduce it 
since. There must have been some preconditions that the session in which 
I reproduced the problem met, but subsequent sessions do not.

One unusual thing about the files is that the first lines specify 
compilation-mode and default directory. At first I could not run diff 
because the specified directory does not exist on my system, but after 
changing the default directory to a directory that exists (I tried the 
directory that the files are in and other directories) ediff works 
except in that one case.





Acknowledgement sent to Jason Rumney <jasonr@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2706; Package emacs. Full text available.

Message received at 2706@HIDDEN:


Received: (at 2706) by emacsbugs.donarmstrong.com; 20 Mar 2009 18:55:53 +0000
From rgm@HIDDEN Fri Mar 20 11:55:52 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-6.0 required=4.0 tests=HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2KItoMw003237
	for <2706@HIDDEN>; Fri, 20 Mar 2009 11:55:51 -0700
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1Lkjsi-00020O-A0; Fri, 20 Mar 2009 14:55:48 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Martin <nospam@HIDDEN>
Cc: 2706 <at> debbugs.gnu.org
Subject: Re: bug#2706: 23.0.91; error "Buffer exceeds maximum size"
References: <wna7i2ntjih.fsf@HIDDEN>
X-Spook: Attorney General Cocaine enigma S Key Treasury SAFE
X-Ran: x[1'1Yfr_RYK+$#L}#wfN-Pjm';g=\';14G3<+?{3UTt*2Z5jsD)GL)sKjfq1"QV^NSbi`
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 20 Mar 2009 14:55:48 -0400
Message-ID: <7b8wn0owgb.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Martin wrote:

>   ediff of text files containing contents of compilation buffers
>
>   the text files are available by private mail from 'parozusa at web dot de'

If you're just concerned about the size of the files (rather than
privacy), you can send them to 2706-quiet <at> debbugs.gnu.org.

They won't be sent out to the bug list, but we can download them from
the bug web-page.

>   195500 03-17 09:01 templates-lese-fehler.txt
>     3972 03-16 13:57 templates-keine-funktionale-aenderung.txt

What units are these file sizes in? Is it possible that the size of
the resulting diff is simply too large for Emacs?

>   Debugger entered--Lisp error: (error "Buffer exceeds maximum size")
>     call-process("diff" nil #<buffer *ediff-diff*> nil "u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt")

And if you execute

diff u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt
  u:/aemf/register-anbindung/templates-lese-fehler.txt

outside of Emacs, how big is the result?




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2706; Package emacs. Full text available.
Merged 2705 2706. Request was from Juanma Barranquero <lekktu@HIDDEN> to control@HIDDEN. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 18 Mar 2009 06:47:26 +0000
From parozusa@HIDDEN Tue Mar 17 23:47:26 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2I6lMjR008657
	for <submit@HIDDEN>; Tue, 17 Mar 2009 23:47:24 -0700
Received: from mx10.gnu.org ([199.232.76.166]:33676)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <parozusa@HIDDEN>)
	id 1LjpYg-0001pV-Hm
	for emacs-pretest-bug@HIDDEN; Wed, 18 Mar 2009 02:47:22 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <parozusa@HIDDEN>)
	id 1LjpYd-0001G8-Uz
	for emacs-pretest-bug@HIDDEN; Wed, 18 Mar 2009 02:47:22 -0400
Received: from fmmailgate01.web.de ([217.72.192.221]:43014)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <parozusa@HIDDEN>)
	id 1LjpYd-0001G2-Aa
	for emacs-pretest-bug@HIDDEN; Wed, 18 Mar 2009 02:47:19 -0400
Received: from smtp07.web.de (fmsmtp07.dlan.cinetic.de [172.20.5.215])
	by fmmailgate01.web.de (Postfix) with ESMTP id 27317FEAF67A
	for <emacs-pretest-bug@HIDDEN>; Wed, 18 Mar 2009 07:47:18 +0100 (CET)
Received: from [83.236.239.162] (helo=AEMF)
	by smtp07.web.de with esmtp (WEB.DE 4.110 #277)
	id 1LjpYc-0000SH-00
	for emacs-pretest-bug@HIDDEN; Wed, 18 Mar 2009 07:47:18 +0100
From: Martin <nospam@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.91; error "Buffer exceeds maximum size"
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.91 (windows-nt)
Date: Wed, 18 Mar 2009 07:47:18 +0100
Message-ID: <wna7i2ntjih.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-AntiVirus: checked (outgoing) by AntiVir MailGuard (Version: 8.0.0.45; AVE: 8.2.0.114; VDF: 7.1.2.172)
Sender: parozusa@HIDDEN
X-Sender: parozusa@HIDDEN
X-Provags-ID: V01U2FsdGVkX1/4Nz630TqV9AXbXbHSvewx87ZaJk3jQK5wHpje
	LI25I5YYRlOSGkg4wO3d01/V+3qAlIoxbx/6uK5nL2EFjVvhbk
	GFewyeASQ=
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.4-2.6


Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the emacs-pretest-bug@HIDDEN mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

8<--------------------------------------------------------------------

  ediff of text files containing contents of compilation buffers

  the text files are available by private mail from 'parozusa at web dot de'

  195500 03-17 09:01 templates-lese-fehler.txt
    3972 03-16 13:57 templates-keine-funktionale-aenderung.txt

  backtrace:  

  Debugger entered--Lisp error: (error "Buffer exceeds maximum size")
    call-process("diff" nil #<buffer *ediff-diff*> nil "u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt")
    apply(call-process "diff" nil #<buffer *ediff-diff*> nil ("u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt"))
    ediff-exec-process("diff" #<buffer *ediff-diff*> synchronize "--binary" "u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt")
    ediff-make-diff2-buffer(#<buffer *ediff-diff*> "u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt")
    ediff-setup-diff-regions("u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt" nil)
    ediff-setup(#<buffer templates-keine-funktionale-aenderung.txt> "u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" #<buffer templates-lese-fehler.txt> "u:/aemf/register-anbindung/templates-lese-fehler.txt" nil nil nil ((ediff-job-name . ediff-files)) nil)
    ediff-files-internal("u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt" nil nil ediff-files)
    ediff("u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt" "u:/aemf/register-anbindung/templates-lese-fehler.txt")
    call-interactively(ediff t nil)
    execute-extended-command(nil)
    call-interactively(execute-extended-command nil nil)

8<--------------------------------------------------------------------

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
y:/emacs/etc/DEBUG for instructions.


In GNU Emacs 23.0.91.1 (i386-mingw-nt5.1.2600)
 of 2009-02-27 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Debugger

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x d u : / a e m <tab> f / r e g <tab> <return> 1 
s t <return> <escape> < <down> <down> <down> f C-x 
b <return> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
f <escape> x <up> <escape> x e d i f <tab> <return> 
C-g C-x b <return> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar> 
<options> <debug-on-error> <escape> x <up> <return> 
<return> t e m p l <tab> s - l <tab> <return> C-x h 
<escape> <escape> w <escape> x w r i t <tab> r e g 
<tab> <return> <up> <up> <up> C-a C-k u : / a e m f 
/ e m <tab> a <tab> - b a c h t r <backspace> <backspace> 
<backspace> k t r a c e . t x t <return> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu> 
<send-emacs-bug-report>

Recent messages:
goto-history-element: Beginning of history; no preceding item
Quit [2 times]
Debug on Error enabled globally
Reading file u:/aemf/register-anbindung/templates-keine-funktionale-aenderung.txt ... 
Reading file u:/aemf/register-anbindung/templates-lese-fehler.txt ... 
Computing differences between templates-keine-funktionale-aenderung.txt and templates-lese-fehler.txt ...
Entering debugger...
Mark set [2 times]
Making completion list...
Wrote u:/aemf/emacs-memory-exhausted-backtrace.txt




Acknowledgement sent to Martin <nospam@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2706; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 23 Jan 2016 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.